Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class EModelRoleSupport

    java.lang.Object
      com.beanexplorer.beans.Option
          biouml.model.dynamics.EModelRoleSupport

All Implemented Interfaces:
  EModelRole, Role

Direct Known Subclasses:
  EModel, Equation, Event, Function, State, Transition

public class EModelRoleSupport
extends com.beanexplorer.beans.Option
implements EModelRole

Field Summary
`protected java.lang.String` | `comment`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`EModelRoleSupport(DiagramElement diagramElement)`

Method Summary
`Role` | `clone(DiagramElement de)` Throws UnsupportedOperationException.
`java.lang.String` | `getComment()`
`DiagramElement` | `getDiagramElement()`
`void` | `setComment(java.lang.String comment)`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### comment

    protected java.lang.String comment

Constructor Detail

### EModelRoleSupport

    public EModelRoleSupport(DiagramElement diagramElement)

Method Detail

### clone

    public Role clone(DiagramElement de)

  Throws UnsupportedOperationException. Should be redefined in subclasses.

  Specified by:
    `clone` in interface `Role`

### getDiagramElement

    public DiagramElement getDiagramElement()

  Specified by:
    `getDiagramElement` in interface `Role`

### getComment

    public java.lang.String getComment()

### setComment

    public void setComment(java.lang.String comment)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.